//==============================================================================
//
//   ExitAction.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ExitAction.java,v 1.2 2003/08/02 09:19:55 holleis Exp $

package org.graffiti.editor.actions;

import java.awt.event.ActionEvent;

import org.graffiti.editor.MainFrame;

import org.graffiti.help.HelpContext;

import org.graffiti.plugin.actions.GraffitiAction;

/**
 * Exits the editor.
 */
public class ExitAction
    extends GraffitiAction
{
    //~ Constructors ===========================================================

    /**
     * Creates a new ExitAction object.
     *
     * @param mainFrame DOCUMENT ME!
     */
    public ExitAction(MainFrame mainFrame)
    {
        super("file.exit", mainFrame);
    }

    //~ Methods ================================================================

    /**
     * @see javax.swing.Action#isEnabled()
     */
    public boolean isEnabled()
    {
        return true;
    }

    /**
     * @see org.graffiti.plugin.actions.GraffitiAction#getHelpContext()
     */
    public HelpContext getHelpContext()
    {
        return null;
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void actionPerformed(ActionEvent e)
    {
        mainFrame.dispose(); // TODO "do you really want to exit dialog"
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
