//==============================================================================
//
//   FileCloseAction.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: FileCloseAction.java,v 1.2 2003/08/02 09:19:55 holleis Exp $

package org.graffiti.editor.actions;

import java.awt.event.ActionEvent;

import org.graffiti.editor.MainFrame;

import org.graffiti.help.HelpContext;

import org.graffiti.plugin.actions.GraffitiAction;

/**
 * The action for closing a graph.
 *
 * @version $Revision: 1.2 $
 */
public class FileCloseAction
    extends GraffitiAction
{
    //~ Constructors ===========================================================

    /**
     * Creates a new FileCloseAction object.
     *
     * @param mainFrame DOCUMENT ME!
     */
    public FileCloseAction(MainFrame mainFrame)
    {
        super("file.close", mainFrame);
    }

    //~ Methods ================================================================

    /**
     * DOCUMENT ME!
     *
     * @return DOCUMENT ME!
     */
    public boolean isEnabled()
    {
        return mainFrame.isSessionActive();
    }

    /**
     * @see org.graffiti.plugin.actions.GraffitiAction#getHelpContext()
     */
    public HelpContext getHelpContext()
    {
        return null;
    }

    /**
     * DOCUMENT ME!
     *
     * @param e DOCUMENT ME!
     */
    public void actionPerformed(ActionEvent e)
    {
        mainFrame.removeSession(mainFrame.getActiveSession());
        mainFrame.updateActions();
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
