//==============================================================================
//
//   GraphElement.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraphElement.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.graph;

import org.graffiti.attributes.Attributable;

/**
 * Interfaces a graph element. A graph element knows the graph it belongs to
 * and can contain attributes.
 *
 * @version $Revision: 1.2 $
 *
 * @see Node
 * @see Edge
 */
public interface GraphElement
    extends Attributable
{
    //~ Methods ================================================================

    /**
     * Returns the Graph the GraphElement belongs to.
     *
     * @return the Graph the GraphElement belongs to.
     */
    public Graph getGraph();
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
