//==============================================================================
//
//   GraphElementNotFoundException.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraphElementNotFoundException.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.graph;

/**
 * The <code>GraphElementNotFoundException</code> will be thrown if a method
 * tries to deal with a <code>GraphElement</code> which cannot be found in the
 * <code>Graph</code>.
 *
 * @version $Revision: 1.2 $
 */
public class GraphElementNotFoundException
    extends RuntimeException
{
    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>GraphElementNotFoundException</code> with the
     * specified detail message.
     *
     * @param msg the error message.
     */
    public GraphElementNotFoundException(String msg)
    {
        super(msg);
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
