//==============================================================================
//
//   PositionAttribute.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: PositionAttribute.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

package org.graffiti.graphics;

import java.util.Map;

import org.graffiti.attributes.HashMapAttribute;

/**
 * Contains properties of the attribute position for a label
 *
 * @version $Revision: 1.2 $
 */
public abstract class PositionAttribute
    extends HashMapAttribute
    implements GraphicAttributeConstants
{
    //~ Constructors ===========================================================

    /**
     * Constructor for NodeLabelPositionAttribute.
     *
     * @param id
     */
    public PositionAttribute(String id)
    {
        super(id);
    }

    //~ Methods ================================================================

    /**
     * Sets the collection of attributes contained within this
     * <tt>CollectionAttribute</tt>
     *
     * @param attrs the map that contains all attributes.
     *
     * @throws IllegalArgumentException DOCUMENT ME!
     */
    public void setCollection(Map attrs)
    {
        if(!attrs.keySet().isEmpty())
        {
            throw new IllegalArgumentException("Invalid map.");
        }
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
