//==============================================================================
//
//   PluginManagerListener.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: PluginManagerListener.java,v 1.2 2003/08/02 09:19:29 holleis Exp $

package org.graffiti.managers.pluginmgr;

import org.graffiti.plugin.GenericPlugin;

/**
 * Represents a listener, which is called, iff a plugin has been added to the
 * plugin manager.
 *
 * @version $Revision: 1.2 $
 */
public interface PluginManagerListener
{
    //~ Methods ================================================================

    /**
     * Called by the plugin manager, iff a plugin has been added.
     *
     * @param plugin the added plugin.
     * @param desc the description of the new plugin.
     */
    public void pluginAdded(GenericPlugin plugin, PluginDescription desc);
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
