//==============================================================================
//
//   OverviewOptionPane.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: OverviewOptionPane.java,v 1.3 2003/11/03 12:37:18 forster Exp $

package org.graffiti.options;

import java.awt.BorderLayout;
import java.awt.Dimension;

import java.io.IOException;

import javax.swing.JEditorPane;
import javax.swing.JScrollPane;

/**
 * The overview pane for the options dialog.
 *
 * @version $Revision: 1.3 $
 */
public class OverviewOptionPane
    extends AbstractOptionPane
{
    //~ Constructors ===========================================================

    /**
     * Constructor for OverviewOptionPane.
     */
    public OverviewOptionPane()
    {
        super(sBundle.getString("options.overview.title"));
    }

    //~ Methods ================================================================

    /*
     * @see org.graffiti.options.AbstractOptionPane#initDefault()
     */
    protected void initDefault()
    {
        setLayout(new BorderLayout());

        // add a JEditorPane, which contains an overview html page.
        JEditorPane ep = new JEditorPane();

        try
        {
            ep.setPage(sBundle.getRes("options.overview.html"));
        }
        catch(IOException ioe)
        {
            ioe.printStackTrace();
        }

        ep.setEditable(false);

        JScrollPane scroller = new JScrollPane(ep);
        scroller.setPreferredSize(new Dimension(400, 0));

        add(BorderLayout.CENTER, scroller);
    }

    /*
     * @see org.graffiti.options.AbstractOptionPane#saveDefault()
     */
    protected void saveDefault()
    {
        /* do nothing */
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
