//==============================================================================
//
//   XMLHelper.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: XMLHelper.java,v 1.2 2003/11/03 12:37:17 forster Exp $

package org.graffiti.plugin;

/**
 * Contains some (static) auxiliary methods for writing XML.
 */
public class XMLHelper
{
    //~ Static fields/initializers =============================================

    /** Indicates whether or not indent XML elements. */
    public static boolean useIndentation = false;

    //~ Methods ================================================================

    /**
     * Returns a string used to separate XML elements for better readability.
     *
     * @return XML element delimiter string
     */
    public static String getDelimiter()
    {
        // return GeneralUtils.getNewLineDelimiter();
        return "";
    }

    /**
     * Returns a String containing <code>n</code> spaces (or the empty String
     * if <code>useIndentation</code> is set to <code>false</code>).
     *
     * @param n number of spaces
     *
     * @return DOCUMENT ME!
     */
    public static String spc(int n)
    {
        if(useIndentation)
        {
            StringBuffer sb = new StringBuffer();

            for(int i = 0; i < n; i++)
            {
                sb.append(" ");
            }

            return sb.toString();
        }
        else
        {
            return "";
        }
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
