//==============================================================================
//
//   AbstractAlgorithm.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: AbstractAlgorithm.java,v 1.3 2003/11/03 12:37:18 forster Exp $

package org.graffiti.plugin.algorithm;

import org.graffiti.graph.Graph;

import org.graffiti.plugin.parameter.*;

/**
 * Implements some empty versions of non-obligatory methods.
 */
public abstract class AbstractAlgorithm
    implements Algorithm
{
    //~ Instance fields ========================================================

    /** The graph on which the algorithm will work. */
    protected Graph graph;

    /** The parameters this algorithm can use. */
    protected Parameter[] parameters;

    //~ Methods ================================================================

    /*
     * @see org.graffiti.plugin.algorithm.Algorithm#setParameters(org.graffiti.plugin.parameter.Parameter[])
     */
    public void setParameters(Parameter[] params)
    {
        this.parameters = params;
    }

    /**
     * @see org.graffiti.plugin.algorithm.Algorithm#getParameters()
     */
    public Parameter[] getParameters()
    {
        return this.parameters;
    }

    /**
     * @see org.graffiti.plugin.algorithm.Algorithm#attach(org.graffiti.graph.Graph)
     */
    public void attach(Graph g)
    {
        this.graph = g;
    }

    /**
     * @see org.graffiti.plugin.algorithm.Algorithm#check()
     */
    public void check()
        throws PreconditionException
    {
    }

    /**
     * @see org.graffiti.plugin.algorithm.Algorithm#reset()
     */
    public void reset()
    {
        this.graph = null;
        this.parameters = null;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
