//==============================================================================
//
//   AlgorithmWithContextMenu.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: AlgorithmWithContextMenu.java,v 1.2 2003/11/03 12:37:18 forster Exp $

package org.graffiti.plugin.algorithm;

import javax.swing.JMenuItem;

/**
 * DOCUMENT ME!
 *
 * @author $Author: forster $
 * @version $Revision: 1.2 $
 */
public interface AlgorithmWithContextMenu
{
    //~ Methods ================================================================

    /**
     * This method should be implemented, as that it returns the desired
     * Context-MenuItem for the Plugin. It will be added on the fly to a newly
     * created context menu, when the user right-clicks an EditorFrame. The
     * plugin should implement the Interface <code>SelectionListener</code> if
     * the menu item should be variable to the current selection. You could
     * also return a MenuItem that contains a subMenu.
     *
     * @return <code>MenuItem</code> the menu item for the context menu
     */
    public JMenuItem getCurrentContextMenuItem();
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
