//==============================================================================
//
//   GraffitiToolbar.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraffitiToolbar.java,v 1.6 2003/11/11 13:57:54 pick Exp $

package org.graffiti.plugin.gui;

import javax.swing.JToolBar;

import org.graffiti.editor.MainFrame;

/**
 * TODO
 */
public class GraffitiToolbar
    extends JToolBar
    implements GraffitiContainer
{
    //~ Instance fields ========================================================

    /** The id of the toolbar. */
    protected String id;

    /** The id of the component the toolbar prefers to be inserted in. */
    protected String preferredComponent;

    //~ Constructors ===========================================================

    /**
     * Standardconstructor for <code>GraffitiToolbar</code>.
     */
    public GraffitiToolbar()
    {
        this("");
    }

    /**
     * Constructor that sets the id of this <code>GraffitiToolbar</code>.
     *
     * @param name DOCUMENT ME!
     */
    public GraffitiToolbar(String name)
    {
        this.id = name;
        this.preferredComponent = "toolbarPanel";

        setFloatable(false);
    }

    //~ Methods ================================================================

    /**
     * Returns the id of this toolbar.
     *
     * @return the id of this toolbar.
     */
    public String getId()
    {
        return this.id;
    }

    /*
     * @see org.graffiti.plugin.gui.GraffitiComponent#setMainFrame(org.graffiti.editor.MainFrame)
     */
    public void setMainFrame(MainFrame mf)
    {
    }

    /**
     * Returns the id of the component the toolbar prefers to be inserted.
     *
     * @return the id of the component the toolbar prefers to be inserted.
     */
    public String getPreferredComponent()
    {
        return this.preferredComponent;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
