//==============================================================================
//
//   NodeParameter.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: NodeParameter.java,v 1.3 2003/11/03 12:37:17 forster Exp $

package org.graffiti.plugin.parameter;

import org.graffiti.graph.Node;

/**
 * This class contains a single <code>Node</code>.
 *
 * @version $Revision: 1.3 $
 */
public class NodeParameter
    extends AbstractSingleParameter
{
    //~ Instance fields ========================================================

    /** The value of this parameter. */
    private Node value = null;

    //~ Constructors ===========================================================

    /**
     * Constructs a new node parameter.
     *
     * @param name the name of the parameter.
     * @param description the description of the parameter.
     */
    public NodeParameter(String name, String description)
    {
        super(name, description);
    }

    /**
     * Constructs a new node parameter.
     *
     * @param name the name of the parameter.
     * @param description the description of the parameter.
     */
    public NodeParameter(Node node, String name, String description)
    {
        super(name, description);
        value = node;
    }

    //~ Methods ================================================================

    /**
     * Returns the <code>Node</code> contained in this
     * <code>NodeParameter</code>.
     *
     * @return the <code>Node</code> contained in this
     *         <code>NodeParameter</code>.
     */
    public Node getNode()
    {
        return value;
    }

    /**
     * Sets the value of the <code>AttributeParameter</code>.
     *
     * @param val the new value of the <code>AttributeParameter</code>.
     */
    public void setValue(Object val)
    {
        value = (Node)val;
    }

    /**
     * Returns the value of this parameter.
     *
     * @return the value of this parameter.
     */
    public Object getValue()
    {
        return value;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
