//==============================================================================
//
//   GraffitiViewComponent.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraffitiViewComponent.java,v 1.2 2003/08/02 09:19:55 holleis Exp $

package org.graffiti.plugin.view;

import org.graffiti.attributes.Attribute;

/**
 * DOCUMENT ME!
 *
 * @author schoeffl
 */
public interface GraffitiViewComponent
{
    //~ Methods ================================================================

    /**
     * Called when a graphics attribute of the GraphElement represented by this
     * component has changed.
     *
     * @param attr the attribute that has triggered the event.
     */
    public void attributeChanged(Attribute attr)
        throws ShapeNotFoundException;

    /**
     * Called to initialise the shape of the NodeComponent correctly. Also
     * calls <code>repaint()</code>.
     *
     * @exception ShapeNotFoundException thrown when the shapeclass couldn't be
     *            resolved.
     */
    public void createNewShape()
        throws ShapeNotFoundException;
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
