//==============================================================================
//
//   MessageListener.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: MessageListener.java,v 1.3 2004/03/31 13:15:35 klukas Exp $

package org.graffiti.plugin.view;

/**
 * Represents listener which gets messsages for theirs displaying  on the  GUI
 * components (e.g. status bar).
 *
 * @version $Revision: 1.3 $
 */
public interface MessageListener
{
    //~ Static fields/initializers =============================================

    /** Used for showing a normal status message with a defeault clear-delay */
    public static final int INFO = 0;

    /** Used for showing a status - error */
    public static final int ERROR = 1;

	/** Used for status message that should not disappear after the default delay */
    public static final int PERMANENT_INFO = 2;

    //~ Methods ================================================================

    //    /**
    //     * The constants specify GUI components where the messages recieved by this 
    //     * listener have to be displayed.
    //     */
    //    public static final String STATUSBAR = "statusBar";
    //
    //    /**
    //     * Method <code>showMesssage</code> displays message on GUI components
    //     * according to the specified type.
    //     * 
    //     * @param message  a message string to be displayed
    //     * @param type a type of the message (e.g. ERROR)
    //     * @param whereto a location for displaying this message
    //     */
    //    public void showMesssage(String message, int type, String whereto);

    /**
     * Method <code>showMesssage</code> displays a message on GUI components
     * according to the specified type.
     *
     * @param message a message string to be displayed
     * @param type a type of the message (e.g. ERROR)
     */
    public void showMesssage(String message, int type);
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
