//==============================================================================
//
//   ViewListener.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: ViewListener.java,v 1.3 2003/11/03 12:15:55 forster Exp $

package org.graffiti.plugin.view;

/**
 * Interface for all who want to be noticed when a different view becomes
 * active. The events that implementors get are disjoint from those that
 * <code>SessionLister</code>s get.
 *
 * @version $Revision: 1.3 $
 *
 * @see org.graffiti.session.Session
 */
public interface ViewListener
{
    //~ Methods ================================================================

    /**
     * This method is called when the view changes. This method is not called
     * when another session is activated. Implement
     * <code>SessionListener</code> if you are interested in session changed
     * events.
     *
     * @param newView the new View.
     */
    public void viewChanged(View newView);
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
