//==============================================================================
//
//   GraphMLReader.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: GraphMLReader.java,v 1.4 2004/04/21 15:29:54 schnoy Exp $

package org.graffiti.plugins.ios.importers.graphml;

import java.io.IOException;
import java.io.InputStream;

import java.util.logging.Logger;

import org.graffiti.graph.Graph;

import org.graffiti.plugin.io.AbstractInputSerializer;
import org.graffiti.plugin.io.InputSerializer;

import org.graffiti.plugins.ios.importers.graphml.parser.GraphMLParser;

/**
 * This class implements the interface to invoke the reading of graphML files.
 *
 * @author ruediger
 */
public class GraphMLReader
    extends AbstractInputSerializer
    implements InputSerializer
{
    //~ Static fields/initializers =============================================

    /** The logger for this class. */
    private static final Logger logger = Logger.getLogger(GraphMLReader.class.getName());

    //~ Instance fields ========================================================

    /** The parser for reading the graphml input. */
    private GraphMLParser graphmlParser;

    /** The supported extension. */
    private String[] extensions = { ".graphml", ".xml" };

    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>GraphMLReader</code>.
     */
    public GraphMLReader()
    {
        super();
        this.graphmlParser = new GraphMLParser();
    }

    //~ Methods ================================================================

    /*
     *
     */
    public String[] getExtensions()
    {
        return this.extensions;
    }

    /*
     *
     */
    public void read(InputStream in, Graph g)
        throws IOException
    {
        this.graphmlParser.parse(in, g);
        in.close();
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
