//==============================================================================
//
//   SelectionEvent.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: SelectionEvent.java,v 1.2 2003/08/02 09:19:28 holleis Exp $

package org.graffiti.selection;

import org.graffiti.event.AbstractEvent;

/**
 * DOCUMENT ME!
 *
 * @version $Revision: 1.2 $
 */
public class SelectionEvent
    extends AbstractEvent
{
    //~ Instance fields ========================================================

    /** DOCUMENT ME! */
    private boolean added;

    //~ Constructors ===========================================================

    /**
     * Constructs a new <code>SelectionEvent</code>.
     *
     * @param selection the (new / updated) selection.
     */
    public SelectionEvent(Selection selection)
    {
        super(selection);
    }

    //~ Methods ================================================================

    /**
     * Sets the added.
     *
     * @param added The added to set
     */
    public void setAdded(boolean added)
    {
        this.added = added;
    }

    /**
     * Returns the selection contained in the event.
     *
     * @return the selection contained in the event.
     */
    public Selection getSelection()
    {
        return (Selection) getSource();
    }

    /**
     * Returns the added.
     *
     * @return boolean
     */
    public boolean toBeAdded()
    {
        return added;
    }
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
