//==============================================================================
//
//   SessionListener.java
//
//   Copyright (c) 2001-2003 Graffiti Team, Uni Passau
//
//==============================================================================
// $Id: SessionListener.java,v 1.2 2003/08/02 09:19:56 holleis Exp $

package org.graffiti.session;

/**
 * Interface for all who want to be noticed when the session changes.
 *
 * @version $Revision: 1.2 $
 *
 * @see org.graffiti.session.Session
 */
public interface SessionListener
{
    //~ Methods ================================================================

    /**
     * This method is called when the session changes.
     *
     * @param s the new Session.
     */
    public void sessionChanged(Session s);

    /**
     * This method is called when the data (except the graph data) are changed.
     */
    public void sessionDataChanged(Session s);
}

//------------------------------------------------------------------------------
//   end of file
//------------------------------------------------------------------------------
